Bug 1417679 - [GSS](6.4.z) Failed CLI batch command with "deploy --force" for replace deployment
Summary: [GSS](6.4.z) Failed CLI batch command with "deploy --force" for replace deplo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI
Version: 6.4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.15
Assignee: Petr Jurak
QA Contact: Peter Mackay
URL:
Whiteboard:
Depends On:
Blocks: eap6415-payload
TreeView+ depends on / blocked
 
Reported: 2017-01-30 16:09 UTC by Abhijit humbe
Modified: 2017-05-19 08:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 08:09:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2333581 None None None 2017-05-04 02:35:40 UTC
Red Hat One Jira Issue Tracker JBEAP-4651 Critical Verified [GSS](7.0.z) Failed CLI batch command with "deploy --force" for replace deployment 2019-10-30 07:29:33 UTC
Red Hat One Jira Issue Tracker JBEAP-5332 Minor Verified (7.1.0) Failed CLI batch command with "deploy --force" for replace deployment 2019-10-30 07:29:36 UTC
Red Hat One Jira Issue Tracker WFCORE-1563 Minor Resolved Failed CLI batch command with "deploy --force" for replace deployment 2019-10-30 07:29:38 UTC

Description Abhijit humbe 2017-01-30 16:09:44 UTC
Description of problem:
Failed CLI batch command with "deploy --force" for replace deployment

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:


1. %JBOSS_HOME/bin/domain.sh

2. vi deploy.cli
batch
deploy --force ./jboss-ejb-in-ear.ear
run-batch

3. jboss-cli.sh --connect --controller=127.0.0.1:9999 --user=admin --password=xxx --file="deploy.cli"
The batch executed successfully

4. jboss-cli.sh --connect --controller=127.0.0.1:9999 --user=admin --password=xxx --file="deploy.cli"
The batch failed with the following error (you are remaining in the batch editing mode to have a chance to correct the error): Request is missing the address part.

5. jboss-cli.sh --connect --controller=127.0.0.1:9999 --user=admin --password=xxx --file="deploy.cli"
The batch failed with the following error (you are remaining in the batch editing mode to have a chance to correct the error): Request is missing the address part.


Actual results:


Expected results:


Additional info:

Comment 2 Abhijit humbe 2017-02-14 15:55:23 UTC
Same issue is reported for JBoss EAP 7 in JBEAP-4651, and it will be fixed in JBoss EAP 7.1 release.

Comment 5 Peter Mackay 2017-05-12 12:30:36 UTC
Verified with EAP 6.4.15.CP.CR3

Comment 6 Petr Penicka 2017-05-19 08:09:02 UTC
Released on May 18 as part of EAP 6.4.15.


Note You need to log in before you can comment on or make changes to this bug.